/*
 * ViewerPool.h
 *
 */

#ifndef VIEWERPOOL_H_
#define VIEWERPOOL_H_

#include <QVector>

class QWidget;

class ViewerPool
{
public:
	ViewerPool();

	void addViewer(QWidget *);
	void hide(QWidget *);
	void showAll();

private:
	int notHidden;
	QVector<QWidget *> viewers;
};

#endif /* VIEWERPOOL_H_ */
