/*
 * Time.cpp
 *
 */

#include "Time.h"
#include <ctime>

double Time::now() {
	timespec time;
	clock_gettime(CLOCK_MONOTONIC, &time);

	// Return the time in seconds
	return (double) time.tv_sec + time.tv_nsec / 1000000000.0;
}
