/*
 * ViewerPool.cpp
 *
 */

#include "ViewerPool.h"
#include <QWidget>

#include <iostream>
using namespace std;

ViewerPool::ViewerPool() :
	notHidden(0) {
}

void ViewerPool::addViewer(QWidget *v) {
	viewers.append(v);
	if (not v->isHidden())
		++notHidden;
}

void ViewerPool::hide(QWidget *v) {
	if (notHidden > 1) {
		v->hide();
		--notHidden;
		cout << notHidden;
	}
}

void ViewerPool::showAll() {
	for (int i = 0; i < viewers.size(); ++i)
		viewers[i]->show();
	notHidden = viewers.size();
}
