/*
 * Object.h
 *
 */

#ifndef OBJECT_H_
#define OBJECT_H_

#include <QObject>

// Class definition
class Object: public QObject
{
Q_OBJECT

public:
	Object();
	virtual ~Object();

	virtual void draw() const;
	virtual void drawWithNames() const;
	virtual float computeRadius() const;

signals:
	void objectChanged();
};

// Inline methods
inline void Object::draw() const {
}

inline void Object::drawWithNames() const {
}

inline float Object::computeRadius() const {
	return 0.f;
}

#endif /* OBJECT_H_ */
