/*
 * Color.h
 *
 */

#ifndef COLOR_H_
#define COLOR_H_

#include <QColor>
#include <QtOpenGL>

static inline void qglColor(const QColor &c) {
	glColor4f(c.redF(), c.greenF(), c.blueF(), c.alphaF());
}

static inline void qSetColor(float colorVec[], const QColor &c) {
	colorVec[0] = c.redF();
	colorVec[1] = c.greenF();
	colorVec[2] = c.blueF();
	colorVec[3] = c.alphaF();
}

#endif /* COLOR_H_ */
